Skip to main content
GET
Get organization score history

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Query Parameters

date_from
string<date> | null

Optional start date for score filtering

Example:

"2025-01-01"

date_to
string<date> | null

Optional end date for score filtering

Example:

"2025-12-31"

order_by
enum<string>
default:date

Field by which to order the score history results (e.g., date, total_score)

Available options:
date,
total_score
order_dir
enum<string>
default:desc

Direction to order the score history results (asc for ascending, desc for descending)

Available options:
asc,
desc

Response

Successful Response

items
OrganizationScoreHistory · object[]
required

List of scores returned by the query

total_items
integer
required

Total number of scores matching the query, ignoring pagination

Required range: x >= 0
Examples:

1

25

100